Skip to main content

Search

Search products

GET /access/api/v1/search

Full-text search across products and categories.

Query parameters:

ParameterTypeRequiredDescription
termstringYesSearch query
pagenumberNoPage number (default: 1)
limitnumberNoItems per page (default: 20, max: 50)

Response:

{
"status": "success",
"data": {
"products": {
"currentPage": 1,
"totalPages": 3,
"totalDocuments": 45,
"limit": 18,
"data": [
{
"_id": "69bc36fda53000e2ede23dca",
"title": "Running Shoes",
"slug": "running-shoes",
"featured": false,
"hasVariantions": false,
"date": "2026-03-19T17:48:45.415Z",
"categories": [{ "_id": "...", "name": "Footwear", "slug": "footwear" }],
"primaryCategory": { "_id": "...", "name": "Footwear", "slug": "footwear" },
"primaryImage": { "_id": "...", "type": "image/png", "size": 204800, "title": "shoe.png", "uploadUrl": "67e3cd865bf29cd7117f53a8/media/shoe.png" },
"secondaryImage": null,
"price": 49.99,
"salePrice": null,
"onSale": false,
"actualPrice": 49.99,
"minPrice": null,
"maxPrice": null,
"sku": "SKU-B7WI956J7T",
"status": "in-stock",
"sellable": null,
"reviewCount": 12,
"averageRating": 4.5
}
]
},
"categories": {
"currentPage": 1,
"totalPages": 1,
"totalDocuments": 2,
"limit": 18,
"data": [
{
"_id": "69bc3612a53000e2ede23cff",
"name": "Footwear",
"featured": true,
"slug": "footwear"
}
]
}
}
}

Product items follow the same shape as List products. Category items include _id, name, featured, and slug only.

Possible errors: INVALID_SEARCH_QUERY